<?php
/*
 Newswriter v2.55
 PHP Newsmanagement System
 Copyright (C) 2000-2002 Philipp Wolfer

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the license, or
 (at your option) any later version.
 See license.txt for further information.

 filefunc.inc.php, last change: 13.11.2001

 Functions used by newswriter for file operations:
  * rec_rmdir(string directory)                          (line 20)
*/

// recursive removing of directories
function rec_rmdir($dir)
{
  if (@is_dir($dir)) {
    $dirhandle = opendir($dir);
    while ($entry = readdir($dirhandle)) {
      if ($entry != '.' && $entry != '..') {
        if (@is_dir($dir.'/'.$entry))
          rec_rmdir($dir.'/'.$entry);
        else
          @unlink($dir.'/'.$entry);
      }
    }
    closedir($dirhandle);
    return @rmdir($dir);
  }
  else {
    return 0;
  }
}
?>
