<?php
/*
 Newswriter german language file for version 2.54+
 created by philipp wolfer

 last change: 10.11.2001
*/

$NW_TRANSLATION['header_archiv'] = 'Nachrichten-Archiv';
$NW_TRANSLATION['header_news'] = 'aktuelle Nachrichten';

$NW_TRANSLATION['nav_archiv'] = 'Nachrichten-Archiv';
$NW_TRANSLATION['nav_news'] = 'aktuelle Nachrichten';
$NW_TRANSLATION['nav_printview'] = 'Druckansicht';

$NW_TRANSLATION['show_more'] = 'weiterlesen';

$NW_TRANSLATION['topic_all'] = 'alle Rubriken';
$NW_TRANSLATION['help']  = 'Hilfe';
$NW_TRANSLATION['login'] = 'Login';

$NW_TRANSLATION['noposts_month_1'] = 'F&uuml;r den Monat ';
$NW_TRANSLATION['noposts_month_2'] = ' sind keine Nachrichten vorhanden.';
$NW_TRANSLATION['noposts_lastdays_1'] = 'In den letzten ';
$NW_TRANSLATION['noposts_lastdays_2'] = ' Tagen wurden keine aktuellen Nachrichten ver&ouml;ffentlicht!';
$NW_TRANSLATION['noposts_newsindex'] = 'Keine Nachrichten vorhanden!';
$NW_TRANSLATION['news_markchanged'] = '<span style="font-size:8pt;color:#808080">ge&auml;ndert am [--DATE--] von [--AUTHOR--]</span><br><br>';

$NW_TRANSLATION['month_01'] = 'Januar';
$NW_TRANSLATION['month_02'] = 'Februar';
$NW_TRANSLATION['month_03'] = 'M&auml;rz';
$NW_TRANSLATION['month_04'] = 'April';
$NW_TRANSLATION['month_05'] = 'Mai';
$NW_TRANSLATION['month_06'] = 'Juni';
$NW_TRANSLATION['month_07'] = 'Juli';
$NW_TRANSLATION['month_08'] = 'August';
$NW_TRANSLATION['month_09'] = 'September';
$NW_TRANSLATION['month_10'] = 'Oktober';
$NW_TRANSLATION['month_11'] = 'November';
$NW_TRANSLATION['month_12'] = 'Dezember';

$NW_TRANSLATION['archiv_displayperiod'] = 'Anzeigezeitraum:';

$NW_TRANSLATION['images_preview'] = 'Newswriter - Bildvorschau:';
$NW_TRANSLATION['closewindow'] = 'Fenster schlie&szlig;en';

$NW_TRANSLATION['message_configerror'] = '<p><b>Fehlerhafte PHP-Konfiguration:</b>';
$NW_TRANSLATION['message_wrongphp'] = '<br>Falsche PHP-Version! PHP 3.0.17 und h&ouml;her oder PHP 4.02 und h&ouml;her ist erforderlich.<br>';
$NW_TRANSLATION['message_notrackvars'] = '<br>Die Funktion <tt>track_vars</tt> ist in Ihrer PHP-Konfiguration deaktiviert. Newswriter wird ohne <tt>track_vars = on</tt> nicht laufen.<br>';
$NW_TRANSLATION['message_nopreg'] = '<br>Das PCRE-Modul ist nicht vorhanden. Ohne dieses Modul ist Newswriter nicht lauff&auml;hig!';
$NW_TRANSLATION['message_datadirerror1'] = '<p><b>Datenverzeichnis existiert nicht:</b><br>Bitte legen Sie im Newswriter-Verzeichnis ein Verzeichnis mit dem Namen <tt>';
$NW_TRANSLATION['message_datadirerror2'] = '</tt> an und erteilen Sie ihm mit <tt>chmod</tt> die Rechte 777.</p>';
$NW_TRANSLATION['message_setup'] = '<p><b>Newswriter-Setup:</b><br>';
$NW_TRANSLATION['message_makedir'] = 'Verzeichnis angelegt: ';
$NW_TRANSLATION['message_makedirerror'] = '<b><font color="800000">Verzeichnis nicht angelegt:</font></b> ';

if ($login_page) {
/* Translations for login page: */
$NW_TRANSLATION['login_header'] = 'Newswriter Login:';
$NW_TRANSLATION['login_name'] = '<b>Name:</b>';
$NW_TRANSLATION['login_password'] = '<b>Passwort:</b>';
$NW_TRANSLATION['login_error'] = '<b>Falscher Benutzername oder falsches Passwort!</b>';
$NW_TRANSLATION['login_setcookie'] = 'Login-Daten in Cookie speichern';
$NW_TRANSLATION['login_clear'] = 'Abbruch';
}

if ($NW_RUNTIME['nwmode'] == 'edit') {
/* Translations for edit mode: */
$NW_TRANSLATION['header_admin_create'] = 'neue Nachricht verfassen';
$NW_TRANSLATION['header_admin_edit'] = 'Nachricht bearbeiten';

$NW_TRANSLATION['nav_admin_create'] = 'neue Nachricht';
$NW_TRANSLATION['nav_admin_edit'] = 'Nachrichten bearbeiten';

$NW_TRANSLATION['edit_name'] = 'Name:';
$NW_TRANSLATION['edit_email'] = 'E-Mail:';
$NW_TRANSLATION['edit_home'] = 'WWW:';
$NW_TRANSLATION['edit_admin'] = '(Administrator)';
$NW_TRANSLATION['edit_editnews'] = 'Beitrag bearbeiten:';
$NW_TRANSLATION['edit_createnew'] = 'neuer Beitrag:';
$NW_TRANSLATION['edit_topic'] = 'Rubrik:';
$NW_TRANSLATION['edit_subtopic'] = 'Unterrubrik:';
$NW_TRANSLATION['edit_title'] = 'Titel:';
$NW_TRANSLATION['edit_text'] = 'Beitrag:';
$NW_TRANSLATION['edit_maxtextlength1'] = 'Noch ';
$NW_TRANSLATION['edit_maxtextlength2'] = ' Zeichen erlaubt';
$NW_TRANSLATION['edit_maxtextalert1'] = 'Es duerfen nicht mehr als ';
$NW_TRANSLATION['edit_maxtextalert2'] = ' Zeichen eingegeben werden!';
$NW_TRANSLATION['edit_tags'] = 'HTML-Tags:';
$NW_TRANSLATION['edit_usehtml'] = 'HTML-Code verwenden';
$NW_TRANSLATION['edit_usebbcode'] = 'BBCode verwenden';
$NW_TRANSLATION['edit_link'] = '<b>Link am Ende des Textes:</b>';
$NW_TRANSLATION['edit_linkname'] = 'Linkname:';
$NW_TRANSLATION['edit_linkurl'] = 'URL:';
$NW_TRANSLATION['edit_linknewwindow'] = 'Link in neuem Fenster &ouml;ffnen';
$NW_TRANSLATION['edit_linkdisplayhelp'] = 'Anzeige: [<u>linkname</u>]';
$NW_TRANSLATION['edit_picture_newspage'] = '<b>Bild auf Nachrichtenseite:</b>';
$NW_TRANSLATION['edit_picture_articlepage'] = '<b>Bild auf Artikelseite</b>:';
$NW_TRANSLATION['edit_imagepreview'] = 'Bildvorschau';
$NW_TRANSLATION['edit_picturelist'] = 'Bildarchiv:';
$NW_TRANSLATION['edit_imguserurl'] = 'anderes Bild';
$NW_TRANSLATION['edit_pictureurl'] = 'Bild-URL:';
$NW_TRANSLATION['edit_alignment'] = 'Ausrichtung:';
$NW_TRANSLATION['edit_left'] = 'links';
$NW_TRANSLATION['edit_right'] = 'rechts';
$NW_TRANSLATION['edit_abovetext'] = '&uuml;ber dem Text';
$NW_TRANSLATION['edit_imagetext'] = 'Bildunterschrift:';
$NW_TRANSLATION['edit_imageupload1'] = '<b>Neue Bilder auf den Server laden (maximal ';
$NW_TRANSLATION['edit_imageupload2'] = ' KB):</b>';
$NW_TRANSLATION['edit_uploadnewspage'] = 'auf Nachrichtenseite:';
$NW_TRANSLATION['edit_uploadarticle'] = 'auf Artikelseite:';
$NW_TRANSLATION['edit_startupload'] = 'Upload starten';
$NW_TRANSLATION['edit_usearticlepage'] = '<b>Beitrag auf separater Seite fortsetzen:</b>';
$NW_TRANSLATION['edit_date'] = '<b>Nachrichtendatum:</b>';
$NW_TRANSLATION['edit_keepdate'] = 'aktuelles Datum beibehalten';
$NW_TRANSLATION['edit_newdate'] = 'neues Datum angeben';
$NW_TRANSLATION['edit_publish'] = 'Beitrag ver&ouml;ffentlichen';
$NW_TRANSLATION['edit_error'] = '<b><font color="#800000">Bitte f&uuml;llen Sie das Formular vollst&auml;ndig aus. Folgende Angaben fehlen:</font></b>';
$NW_TRANSLATION['edit_error_title'] = 'Titel';
$NW_TRANSLATION['edit_error_text'] = 'Beitrag';
$NW_TRANSLATION['edit_error_articletext'] = 'Artikel-Text';
$NW_TRANSLATION['edit_error_linkurl'] = 'Link-URL';
$NW_TRANSLATION['edit_error_picture1url'] = 'Bild-URL f&uuml;r Nachrichtenseite';
$NW_TRANSLATION['edit_error_picture2url'] = 'Bild-URL f&uuml;r Artikelseite';
$NW_TRANSLATION['edit_error_date'] = 'Datumsangabe';
$NW_TRANSLATION['edit_error_startdate'] = 'Erscheinungsdatum';
$NW_TRANSLATION['edit_error_expiredate'] = 'Verfallsdatum';
$NW_TRANSLATION['edit_error_toolong1'] = 'Beitrag zu lang (maximal ';
$NW_TRANSLATION['edit_error_toolong2'] = ' Zeichen)';
$NW_TRANSLATION['edit_error_imgupload'] = '<font color="#800000">Fehler beim hochladen:</font>';
$NW_TRANSLATION['edit_success_imgupload'] = 'Bild(er) erfolgreich auf den Server geladen:';
$NW_TRANSLATION['edit_nottheauhtor'] = 'Sie k&ouml;nnen nur Beitr&auml;ge bearbeiten, die Sie auch selbst erstellt haben!';
$NW_TRANSLATION['edit_nottheauhtor_edit'] = 'anderen Beitrag w&auml;hlen';
$NW_TRANSLATION['edit_nottheauhtor_new'] = 'neuen Beitrag schreiben';
$NW_TRANSLATION['edit_delete'] = '<b>Beitrag l&ouml;schen</b>';
$NW_TRANSLATION['edit_deleteconfirm'] = 'L&ouml;schen best&auml;tigen';
$NW_TRANSLATION['edit_deletewarning'] = '<b><font color="#FF0000">Achtung:</font></b> Gel&ouml;schte Beitr&auml;ge k&ouml;nnen<br>nicht wiederhergestellt werden.';
$NW_TRANSLATION['edit_editchosennews'] = 'gew&auml;hlten Beitrag bearbeiten';
$NW_TRANSLATION['edit_back'] = '&lt;&lt; zur&uuml;ck';
$NW_TRANSLATION['edit_forward'] = 'weiter &gt;&gt;';
$NW_TRANSLATION['edit_startdate'] = '<b>Erscheinungsdatum:</b>';
$NW_TRANSLATION['edit_expiredate'] = '<b>Verfallsdatum:</b>';
$NW_TRANSLATION['error_sendreport'] = '<b>Fehler beim versenden der E-Mail an den Administrator!</b><br>Bitte Informieren Sie den Administrator &uuml;ber dieses Problem.';
}
?>